﻿<input type="text" focus-in="triggerFocus" class="{{ inputClass }}" style="{{ iCtrl.inputPadding }}" placeholder="{{ placeholderValue }}" ng-model="inputText" ng-blur="onConfirm()"/>
<span class="cancelConfirm">
    <span class="clearInput" ng-show="inputText && showCancel" ng-mousedown="onCancel()">
        <i name="Cancel" class="fa fa-times" aria-hidden="true" ng-cloak></i>
    </span>
    <span class="acceptInput" ng-show="inputText && showConfirm" ng-mousedown="onConfirm()">
        <i name="Save" class="fa fa-check" aria-hidden="true" ng-cloak></i>
    </span>
</span>

